Subject: Re: [bitcoin-dev] Combined CTV+APO to minimal TXHASH+CSFS

From: Brandon Black <[email-masked]>
Date: Tue, 22 Aug 2023 12:08:36 -0700

Quick update to the proposal thanks to James O'Beirne: CTV is 2-bytes
less expensive than I thought when used alone. I thought that script
success required exactly OP_TRUE not just a CastToBool()=true value on
the stack.

This means that my proposal is 2 weight units (0.5vBytes) larger than
CTV when both are used in Tapscript.

--Brandon